### Property

# Ide Buffer:highlight-diagnostics

#### Declaration

    property highlight-diagnostics: gboolean [ read, write ]

#### Description

The “highlight-diagnostics” property indicates that diagnostics which are discovered should be styled.

Type: | `gboolean`
Available since: | 3.32

Setter method | `ide_buffer_set_highlight_diagnostics()`
Getter method | `ide_buffer_get_highlight_diagnostics()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no